Skip to content

Get specified survey

GET
/v1/Survey/Surveys/{id}
curl --request GET \
--url https://rms.dev.caspeco.net/api/booking/v1/Survey/Surveys/example \
--header 'Authorization: Bearer <token>' \
--header 'system: example'
id
required
string

Guid of the requested survey

system
required
string

The system name / database to query

The specified Survey structure

Media typeapplication/json
object
id
required
string format: guid
>= 1 characters
revision
required
integer format: int64
createdTime
string format: date-time
nullable
changedTime
string format: date-time
nullable
createdBy
string
nullable
changedBy
string
nullable
status
integer
Allowed values: 0 1 2 3 4 5 6 999
statusMessage
string
nullable
content
required
object
title
required
string
>= 1 characters
description
string
nullable
pages
required
Array<object>
object
title
string
nullable
description
string
nullable
sections
required
Array<object>
object
title
string
nullable
description
string
nullable
questions
required
Array<object>
object
id
integer format: int64
ref
string
nullable
title
required
string
>= 1 characters
description
string
nullable
required
boolean
questionType
integer
Allowed values: 0 1 2
questionScale
One of:
object
min
required
integer format: int32
max
required
integer format: int32
minLabel
string
nullable
maxLabel
string
nullable
value
integer format: int64
nullable
questionText
One of:
object
multiLine
boolean
value
string
nullable
confirmationText
string
nullable
emailContent
One of:
object
sendSubject
string
nullable
sendTitle
string
nullable
sendText
string
nullable
remindSubject
string
nullable
remindTitle
string
nullable
remindText
string
nullable
linkText
string
nullable
fromDisplayName
string
nullable
linksHeader
string
nullable
fromEmail
integer
Allowed values: 0 1
viewerType
integer
Allowed values: 0
Example
{
"application/json": {
"id": "ff07bf69-8453-4c1b-b407-1a3467a4109a",
"revision": 13,
"createdTime": "2025-12-01T07:50:09.659606+00:00",
"changedTime": "2025-12-01T07:50:09.6596051+00:00",
"createdBy": "user",
"changedBy": "admin",
"status": 0,
"statusMessage": "Survey changed",
"content": {
"title": "Utvärdering av Lennart's restaurang",
"description": "Hej {{name}} och tack för ditt besök hos oss på Lennart's. Ta dig gärna tid att fylla i denna utvärdering",
"pages": [
{
"title": "Sida ett",
"sections": [
{
"title": "Upplevelsen",
"description": "Hur upplevde du besöket?",
"questions": [
{
"id": 0,
"title": "Vad tyckte du om upplevelsen?",
"description": "Välj på skalan hur du uppfattade besöket.",
"required": true,
"questionType": 2,
"questionScale": {
"min": 1,
"max": 10,
"minLabel": "Avskyvärt",
"maxLabel": "Väldigt trevligt"
}
},
{
"id": 1,
"title": "Beskriv upplevelsen",
"description": "Förklara i klartext hur du uppfattade besöket",
"required": false,
"questionType": 1,
"questionText": {
"multiLine": false
}
}
]
}
]
}
],
"confirmationText": "Tack för att du tog dig tid!"
},
"emailContent": {
"sendSubject": "Hej {{name}} och tack för besöket på Lennart's!",
"sendTitle": "Enkät",
"sendText": "Vi skulle uppskatta om du tog dig tid att svara på denna enkäten om ditt besök. {{personalMsg}}.",
"remindSubject": "Påminnelse om enkät",
"remindTitle": "Enkät",
"remindText": "Glöm inte bort att svara på enkäten om ditt besök! Tack på förhand.",
"linkText": "Klicka här för att fylla i enkät",
"fromDisplayName": "Caspeco Surveys",
"linksHeader": "Enkätlänken",
"fromEmail": 0
},
"viewerType": 0
}
}